# _bit_rotate.h File Reference

Go to the source code of this file.

## Functions

template<typename T>
_ETL_BEGIN_NAMESPACE T | rot_left (const T &val, const int &bits=1)
template<typename T>
T | rot_right (const T &val, const int &bits=1)

## Function Documentation

template<typename T>

_ETL_BEGIN_NAMESPACE T rot_left | ( | const T & | val,
|  | const int & | bits = `1` |
| ) |  |  | `[inline]`

======================================================================== Extended Template Library Bit Rotation Implementation $Id$

Copyright (c) 2002 Robert B. Quattlebaum Jr.

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=== N O T E S ===========================================================

This is an internal header file, included by other ETL headers. You should not attempt to use it directly.

These template functions have not yet been throughly tested, and may be inaccurate or just plain wrong. You have been warned.

=========================================================================

Definition at line 44 of file _bit_rotate.h.

template<typename T>

T rot_right | ( | const T & | val,
|  | const int & | bits = `1` |
| ) |  |  | `[inline]`

Definition at line 50 of file _bit_rotate.h.